//    ******************************************************
//    *
//    * 
//    *
//    *
//    *
//    *
//    *
//    *
//    *
//    *
//    ******************************************************

textures/cenobite_env/cb_sky
{
	surfaceparm sky
	surfaceparm noimpact
	surfaceparm nolightmap
	surfaceparm nomarks
	q3map_lightimage textures/cenobite_env/cb_sky.tga
	qer_editorimage textures/cenobite_env/cb_sky.tga
	q3map_surfacelight 80
// note: Change the surfacelight value if you want more ambient light from the sky.
	q3map_lightsubdivide 512
	q3map_globaltexture
// note: Change the fourth value if you want a brighter or dimmer sun
	q3map_sun 1 1 .6 10 60 60
	skyparms textures/cenobite_env/streets 256 - 
}

textures/cenobite_effects/flesh
{
	qer_trans 0.40
	surfaceparm flesh
	surfaceparm nodraw
	surfaceparm playerclip
	surfaceparm nomarks
}

textures/cenobite_metal/cb_sewergrate1
{
	qer_editor_image textures/cenobite_metal/cb_sewergrate1.tga
	surfaceparm trans
	surfaceparm playerclip
        surfaceparm metalsteps
	cull none
        nopicmip

	{
		map textures/cenobite_metal/cb_sewergrate1.tga
		tcMod scale 1 1
		blendFunc GL_ONE GL_ZERO
		alphaFunc GE128
		depthWrite
		rgbGen identity
	}
	{
		map $lightmap
		rgbGen identity
		blendFunc GL_DST_COLOR GL_ZERO
		depthFunc equal
	}
}

textures/cenobite_metal/cb_metalgrate1
{
	surfaceparm trans		
	surfaceparm playerclip
	cull none
        nopicmip

	{
		map textures/cenobite_metal/cb_metalgrate1.tga
		tcMod scale 1 1
		blendFunc GL_ONE GL_ZERO
		alphaFunc GE128
		depthWrite
		rgbGen identity
	}
	{
		map $lightmap
		rgbGen identity
		blendFunc GL_DST_COLOR GL_ZERO
		depthFunc equal
	}
}

textures/cenobite_metal/cb_metalbars1 
{
	surfaceparm trans
	surfaceparm alphashadow
	cull none
        nopicmip

	{
		map textures/cenobite_metal/cb_metalbars1.tga
		tcMod scale 1 1
		blendFunc GL_ONE GL_ZERO
		alphaFunc GE128
		depthWrite
		rgbGen identity
	}
	{
		map $lightmap
		rgbGen identity
		blendFunc GL_DST_COLOR GL_ZERO
		depthFunc equal
	}
}

textures/cenobite_window/cb_skylight1
{
	surfaceparm trans
	surfaceparm alphashadow
	surfaceparm playerclip
	cull none
        nopicmip

	{
		map textures/cenobite_window/cb_skylight1.tga
		tcMod scale 1 1
		blendFunc GL_ONE GL_ZERO
		alphaFunc GE128
		depthWrite
		rgbGen identity
	}
	{
		map $lightmap
		rgbGen identity
		blendFunc GL_DST_COLOR GL_ZERO
		depthFunc equal
	}
}

textures/cenobite_window/cb_window5_tinted
{
	surfaceparm trans
	surfaceparm alphashadow
	surfaceparm playerclip
	cull none
        nopicmip

	{
		map textures/cenobite_window/cb_window5_tinted.tga
		tcMod scale 1 1
		blendFunc GL_ONE GL_ZERO
		alphaFunc GE128
		depthWrite
		rgbGen identity
	}
	{
		map $lightmap
		rgbGen identity
		blendFunc GL_DST_COLOR GL_ZERO
		depthFunc equal
	}
}

textures/cenobite_metal/cb_barbedwire 
{
	surfaceparm trans
	surfaceparm alphashadow
	cull none
        nopicmip

	{
		map textures/cenobite_metal/cb_barbedwire.tga
		tcMod scale 1 1
		blendFunc GL_ONE GL_ZERO
		alphaFunc GE128
		depthWrite
		rgbGen identity
	}
	{
		map $lightmap
		rgbGen identity
		blendFunc GL_DST_COLOR GL_ZERO
		depthFunc equal
	}
}

textures/cenobite_metal/cb_fence1
{
	{
		map textures/cenobite_metal/cb_fence1.tga
		tcMod scale 3 3
		blendFunc GL_ONE GL_ZERO
		alphaFunc GE128
		depthWrite
		rgbGen identity
	}
	{
		map $lightmap
		rgbGen identity
		blendFunc GL_DST_COLOR GL_ZERO
		depthFunc equal
	}
}

textures/cenobite_metal/cb_chain1
{
        qer_editorimage textures/cenobite_metal/cb_chain1.tga
    	surfaceparm trans
   	surfaceparm nonsolid
	DeformVertexes autosprite2
	cull none
        nopicmip
	{
		map textures/cenobite_metal/cb_chain1.tga
		blendFunc GL_ONE GL_ZERO
		alphaFunc GE128
		depthWrite
		rgbGen identity
	}
	{
		map $lightmap
		rgbGen identity
		blendFunc GL_DST_COLOR GL_ZERO
		depthFunc equal
	}
}

textures/cenobite_light/cb_lightbulb
{
	qer_editor_image textures/cenobite_light/cb_lightbulb.tga
	cull none
	surfaceParm noimpact
	surfaceParm nonsolid

	{
		map textures/cenobite_light/cb_lightbulb.tga
		alphaFunc GE128
	}
}

textures/cenobite_floor/cb_tile4exploded 
{
	surfaceparm trans
	surfaceparm alphashadow
	cull none
        nopicmip

	{
		map textures/cenobite_floor/cb_tile4exploded.tga
		tcMod scale 1 1
		blendFunc GL_ONE GL_ZERO
		alphaFunc GE128
		depthWrite
		rgbGen identity
	}
	{
		map $lightmap
		rgbGen identity
		blendFunc GL_DST_COLOR GL_ZERO
		depthFunc equal
	}
}

textures/cenobite_metal/cb_metal4_bright
{   
 
        {
                map textures/cenobite_effects/tinfx.tga       
                tcGen environment
                rgbGen identity
	}   
        {
		map textures/cenobite_metal/cb_metal4_bright.tga
                blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		rgbGen identity
	} 
        {
		map $lightmap
                blendFunc GL_DST_COLOR GL_ONE_MINUS_DST_ALPHA
		rgbGen identity
	}
}

textures/cenobite_metal/cb_chrome_metal
{
	{
		map textures/cenobite_effects/chrome.tga
		tcGen environment
		tcmod scale .25 .25 
		
	}

	{
		map textures/cenobite_metal/cb_chrome_metal.tga
		blendFunc GL_ONE GL_ONE
		detail
        	tcMod scale 0.0693 0.0712
		rgbGen identity
	}


	{
		map $lightmap
                rgbgen identity
		blendFunc GL_DST_COLOR GL_ZERO
	   
	}
}
textures/cenobite_window/glass_clear
{
	qer_editorimage textures/cenobite_effects/tinfx.tga
	qer_trans 0.5
	surfaceparm nolightmap
	surfaceparm trans

	{
		map textures/cenobite_effects/tinfx.tga
		tcGen environment
		blendfunc GL_ONE GL_ONE
	}
}

textures/cenobite_window/glass_translucent1
{
	qer_editorimage textures/cenobite_effects/tinfx2.tga
	qer_trans 0.75
	surfaceparm nolightmap
	surfaceparm trans

	{
		map textures/cenobite_effects/tinfx2.tga
		tcGen environment
		blendfunc GL_ONE GL_ONE
	}
}

textures/cenobite_metal/cb_tin
{
        {
		rgbGen identity
		map $lightmap
	}
	{
		map textures/cenobite_metal/cb_tin.tga
		blendFunc GL_DST_COLOR GL_SRC_ALPHA
		rgbGen identity
		alphaGen lightingSpecular
	}
        {
		map textures/cenobite_effects/tinfx.tga
                tcgen environment
		blendFunc GL_ONE GL_ONE
		rgbGen identity
	}
       
        {
		map textures/cenobite_metal/cb_tin.tga
                blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
}
textures/cenobite_metal/cb_copper2
{
        {
		rgbGen identity
		map $lightmap
	}
	{
		map textures/cenobite_metal/cb_copper2.tga
		blendFunc GL_DST_COLOR GL_SRC_ALPHA
		rgbGen identity
		alphaGen lightingSpecular
	}
        {
		map textures/cenobite_effects/tinfx.tga
                tcgen environment
		blendFunc GL_ONE GL_ONE
		rgbGen identity
	}
       
        {
		map textures/cenobite_metal/cb_copper2.tga
                blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}

	{
		map $lightmap
		rgbGen identity
		blendFunc GL_DST_COLOR GL_ZERO
		depthFunc equal
	}

}

textures/cenobite_misc/cb_flags
{
	qer_editorimage textures/cenobite_misc/cb_flags.tga
	cull disable
	surfaceparm alphashadow
	surfaceparm noimpact
	surfaceparm nolightmap
	tessSize 32
	deformVertexes wave 30 sin 0 3 0 .2
	deformVertexes wave 100 sin 0 3 0 .7
	{
		map textures/cenobite_misc/cb_flags.tga
	}
}

textures/cenobite_liquid/slime
{
	qer_editorimage textures/cenobite_liquid/slime7.tga
	q3map_lightimage textures/cenobite_liquid/slime7.tga
	q3map_globaltexture
	qer_trans .5
	surfaceparm noimpact
	surfaceparm nolightmap
	surfaceparm trans		
	surfaceparm water
	q3map_surfacelight 20
	tessSize 32
	cull disable
	deformVertexes wave 100 sin 0 1 .5 .5
	{
		map textures/cenobite_liquid/slime7c.tga
		blendfunc GL_ONE GL_ONE
		tcMod turb .3 .2 1 .05
		tcMod scroll .01 .01
	}

	{
		map textures/cenobite_liquid/slime7.tga
		blendfunc GL_ONE GL_ONE
		tcMod turb .2 .1 1 .05
		tcMod scale .5 .5
		tcMod scroll .01 .01
	}
	{
		map textures/cenobite_liquid/bubbles.tga
		blendfunc GL_ZERO GL_SRC_COLOR
		tcMod turb .2 .1 .1 .2
		tcMod scale .05 .05
		tcMod scroll .001 .001
	}		
}
